access_level, expiry_date,public_can_write, and the invitee list (delta-synced internally — SpiceDBsnapshot_created_at or the share's owner; use the snapshot/refresh endpointdata.curl --location --globoff --request PUT 'https:///api/v2/chat-threads//shares' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"access_level": "PUBLIC",
"expiry_date": "2027-01-01T00:00:00Z",
"user_permissions": {},
"public_can_write": true
}'{
"success": true,
"message": "Share updated successfully",
"data": {
"id": 123,
"share_token": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"access_level": "PUBLIC",
"status": "ACTIVE",
"expiry_date": "2027-01-01T00:00:00Z",
"consent_given": true,
"snapshot_created_at": "2026-01-06T12:30:00Z",
"agent": 5,
"chat_thread": 42,
"is_expired": false,
"is_accessible": true,
"public_can_write": true,
"user": 1,
"created_by": "[email protected]",
"modified_by": "[email protected]",
"created_on": "2026-01-06T12:30:00Z",
"modified_on": "2027-01-06T09:15:00Z",
"invite_results": []
}
}